com.impinj.octane

## Enum BlockPermalockResult

- java.lang.Object
- - java.lang.Enum<BlockPermalockResult>
  - - com.impinj.octane.BlockPermalockResult

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<BlockPermalockResult>

      public enum BlockPermalockResult
      extends java.lang.Enum<BlockPermalockResult>

  An enumeration to hold the block permalock result.
  See Also:
    Gen2 Standard page 94

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IncorrectPasswordError` The operation failed because an incorrect password was supplied.
    `Insufficient_Power` There was insufficient power to perform the operation.
    `NonspecificReaderError` The operation failed for an unknown reason.
    `NonspecificTagError` The operation failed for an unknown reason.
    `Success` The operation was successful.
    `TagMemoryOverrunError` The operation failed because it attempted to access memory outside of the valid range.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static BlockPermalockResult` | `valueOf(int blockPermalockResultValue)`
    `static BlockPermalockResult` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BlockPermalockResult[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Success

          public static final BlockPermalockResult Success

      The operation was successful.

    - #### Insufficient_Power

          public static final BlockPermalockResult Insufficient_Power

      There was insufficient power to perform the operation.

    - #### NonspecificTagError

          public static final BlockPermalockResult NonspecificTagError

      The operation failed for an unknown reason.

    - #### NonspecificReaderError

          public static final BlockPermalockResult NonspecificReaderError

      The operation failed for an unknown reason.

    - #### IncorrectPasswordError

          public static final BlockPermalockResult IncorrectPasswordError

      The operation failed because an incorrect password was supplied.

    - #### TagMemoryOverrunError

          public static final BlockPermalockResult TagMemoryOverrunError

      The operation failed because it attempted to access memory outside of the valid range.

  - ### Method Detail

    - #### values

          public static BlockPermalockResult[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BlockPermalockResult c : BlockPermalockResult.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BlockPermalockResult valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static BlockPermalockResult valueOf(int blockPermalockResultValue)

      Parameters:
        `blockPermalockResultValue` - an integer value
      Returns:
        the block permalock result enumeration object

    - #### getValue

          public int getValue()

      Returns:
        the block permalock result as an integer